Subject: Re: git-svn tags and branches

From: Peter Baumann <[email-masked]>
Date: Thu, 30 Aug 2007 14:25:14 +0200

On Thu, Aug 30, 2007 at 01:44:35PM +0200, Giuseppe Bilotta wrote:
> On 8/30/07, Eric Wong <[email-masked]> wrote:
> > As noted by other repliers, SVN tags can be moving targets just like
> > branches, and are treated as such by git-svn.
> >
> > I should note that tags in git can actually be updated like a branch
> > just the same way, too, it's just not as easy to "accidentally" do.
> >
> > So I'll add the ability to modify refs under the refs/tags/ namespace to
> > my git-svn TODO list (which is getting rather large).  I also plan to
> > support branches outside of the refs/remotes/ namespace so it's easier
> > to use (clone, browse from gitweb) from bare repositories.
> 
> Thank you very much, that would be very appreciated.
> 
> While we're at it: could you consider putting the svn-imported refs
> not directly under remote? something like refs/remote/svn would be
> rather cleaner.
> 

Did you have a look at the --prefix option mentioned in the manpage? I
think it does what you want.

-Peter